Create Zoho Post Action

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
POST /dataflows/{dataflowId}/recordsets/{recordSetId}/postactions

Create Zoho Post Action. Allows data to be sent to Zoho.

Path parameters

  • dataflowId string Required

    id of the Dataflow

  • recordSetId string Required

    id of the RecordSet

application/json

Body

  • action_name string

    Name of the Post Action

  • actiontype_zoho string

    Post Action Type

  • conditions array
  • entity_id string

    Entity Id

  • input_record_set_id string

    RecordSet Id for this Post Action

  • status_1 number

    Status

  • type_postaction string

    Type

  • version_21 string

    Version

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • id string

      the created Post Action Id

POST /dataflows/{dataflowId}/recordsets/{recordSetId}/postactions
curl \
 --request POST 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows/{dataflowId}/recordsets/{recordSetId}/postactions' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"action_name":"string","actiontype_zoho":"string","conditions":[],"entity_id":"string","input_record_set_id":"string","status_1":42.0,"type_postaction":"string","version_21":"string"}'
Request examples
{
  "action_name": "string",
  "actiontype_zoho": "string",
  "conditions": [],
  "entity_id": "string",
  "input_record_set_id": "string",
  "status_1": 42.0,
  "type_postaction": "string",
  "version_21": "string"
}
Response examples (200)
{
  "_id": "574bcd24d96535adaf730a63"
}